Page MenuHomePhabricator

Improve stack object printing.
Needs ReviewPublic

Authored by madhur13490 on Jun 28 2020, 5:00 AM.

Details

Summary

Need such verbosity while debugging large files which has several functions.

Diff Detail

Unit TestsFailed

TimeTest
9,670 mslinux > libomp.env::Unknown Unit Message ("")
Script: -- : 'RUN: at line 1'; /mnt/disks/ssd0/agent/llvm-project/build/./bin/clang -fopenmp -pthread -fno-experimental-isel -I /mnt/disks/ssd0/agent/llvm-project/openmp/runtime/test -I /mnt/disks/ssd0/agent/llvm-project/build/projects/openmp/runtime/src -L /mnt/disks/ssd0/agent/llvm-project/build/lib -I /mnt/disks/ssd0/agent/llvm-project/openmp/runtime/test/ompt /mnt/disks/ssd0/agent/llvm-project/openmp/runtime/test/env/kmp_set_dispatch_buf.c -o /mnt/disks/ssd0/agent/llvm-project/build/projects/openmp/runtime/test/env/Output/kmp_set_dispatch_buf.c.tmp -lm -latomic && env KMP_DISP_NUM_BUFFERS=0 /mnt/disks/ssd0/agent/llvm-project/build/projects/openmp/runtime/test/env/Output/kmp_set_dispatch_buf.c.tmp
1,250 mslinux > libomp.worksharing/for::Unknown Unit Message ("")
Script: -- : 'RUN: at line 1'; /mnt/disks/ssd0/agent/llvm-project/build/./bin/clang -fopenmp -pthread -fno-experimental-isel -I /mnt/disks/ssd0/agent/llvm-project/openmp/runtime/test -I /mnt/disks/ssd0/agent/llvm-project/build/projects/openmp/runtime/src -L /mnt/disks/ssd0/agent/llvm-project/build/lib -I /mnt/disks/ssd0/agent/llvm-project/openmp/runtime/test/ompt /mnt/disks/ssd0/agent/llvm-project/openmp/runtime/test/worksharing/for/kmp_set_dispatch_buf.c -o /mnt/disks/ssd0/agent/llvm-project/build/projects/openmp/runtime/test/worksharing/for/Output/kmp_set_dispatch_buf.c.tmp -lm -latomic && /mnt/disks/ssd0/agent/llvm-project/build/projects/openmp/runtime/test/worksharing/for/Output/kmp_set_dispatch_buf.c.tmp 7

Event Timeline

madhur13490 created this revision.Jun 28 2020, 5:00 AM
madhur13490 retitled this revision from NFC. Improve stack object printing. to Improve stack object printing..Jun 28 2020, 9:21 AM
madhur13490 edited the summary of this revision. (Show Details)
madhur13490 edited reviewers, added: arsenm, evandro, hans, paquette; removed: madhur13490.

@jlpeyton Any idea why the tests you added may be failing? I don't think it has anything related to my changes.

arsenm added inline comments.Jun 30 2020, 11:27 AM
llvm/lib/CodeGen/MachineFrameInfo.cpp
214

I think this should be removed

240

Don't see how this is an improvement

250

[spill] present or not maybe?

evandro added inline comments.Jun 30 2020, 3:53 PM
llvm/lib/CodeGen/MachineFrameInfo.cpp
214

I agree. It's redundant.

218

s/NumFixedObjects=/Fixed objects: /

227

s/stackid=/stack id: /

240

Agree.

250

s/isSplitSplot/Spill slot: / then yes or no.

rebase + address comments

madhur13490 marked 6 inline comments as done.Jul 1 2020, 5:05 AM
arsenm added inline comments.Jul 1 2020, 5:03 PM
llvm/lib/CodeGen/MachineFrameInfo.cpp
218

Single quotes around \n

250

Switching from = to :, and capitalizing is inconsistent with the other fields

madhur13490 marked an inline comment as done.Jul 2 2020, 12:59 AM
madhur13490 added inline comments.
llvm/lib/CodeGen/MachineFrameInfo.cpp
250

This inconsistency is already present. "Frame objects:" and "size=". What are you suggesting, = or :? And why?

evandro added inline comments.Jul 2 2020, 3:26 PM
llvm/lib/CodeGen/MachineFrameInfo.cpp
240

s/fixed:/fixed/

250

Split or Spill?

madhur13490 marked an inline comment as done.Jul 3 2020, 1:30 AM
madhur13490 added inline comments.
llvm/lib/CodeGen/MachineFrameInfo.cpp
240

As I said earlier, there is inconsistency; at some place "=" and other ":". It depends on personal choice but we need to agree on one.

evandro added inline comments.Jul 6 2020, 2:07 PM
llvm/lib/CodeGen/MachineFrameInfo.cpp
240

Since the word fixed is followed by a comma, it should be followed by neither : nor =, as originally.

llvm/test/CodeGen/AArch64/tailcall_misched_graph.ll
26

E.g., fixed followed by : and , makes no sense.